<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIPregelGraphLibrary: graph_traits&lt; CVertex &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIPregelGraphLibrary
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search", false, 'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="structgraph__traits-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">graph_traits&lt; CVertex &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a8f436f7beb2ebaa17116dfac411d1a17"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8f436f7beb2ebaa17116dfac411d1a17"></a>
typedef CVertex&#160;</td><td class="memItemRight" valign="bottom"><b>VERTEX_TYPE</b></td></tr>
<tr class="separator:a8f436f7beb2ebaa17116dfac411d1a17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12cbf38a8f178e0dd748b0d0727f2227"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12cbf38a8f178e0dd748b0d0727f2227"></a>
typedef CVertex::EDGE_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>EDGE_TYPE</b></td></tr>
<tr class="separator:a12cbf38a8f178e0dd748b0d0727f2227"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bd30bc7b9ea16f666444cd763ba4069"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4bd30bc7b9ea16f666444cd763ba4069"></a>
typedef CVertex::ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>ID_TYPE</b></td></tr>
<tr class="separator:a4bd30bc7b9ea16f666444cd763ba4069"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4290fa9255258fceceeafd0db604f81b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4290fa9255258fceceeafd0db604f81b"></a>
typedef std::map&lt; ID_TYPE, <br class="typebreak" />
CVertex &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>LIST_TYPE</b></td></tr>
<tr class="separator:a4290fa9255258fceceeafd0db604f81b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac228b1dfdd5c798313260e3095c8e329"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac228b1dfdd5c798313260e3095c8e329"></a>
typedef std::map&lt; pair<br class="typebreak" />
&lt; ID_TYPE, ID_TYPE &gt;<br class="typebreak" />
, EDGE_TYPE &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>EDGE_LIST_TYPE</b></td></tr>
<tr class="separator:ac228b1dfdd5c798313260e3095c8e329"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69f0609e78dc226a0aa2e0949769bc24"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a69f0609e78dc226a0aa2e0949769bc24"></a>
typedef std::vector&lt; CVertex &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>FAST_LIST_TYPE</b></td></tr>
<tr class="separator:a69f0609e78dc226a0aa2e0949769bc24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41a47a082072fd485b3a0ec105d70abe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a41a47a082072fd485b3a0ec105d70abe"></a>
typedef std::vector&lt; EDGE_TYPE &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>FAST_EDGE_LIST_TYPE</b></td></tr>
<tr class="separator:a41a47a082072fd485b3a0ec105d70abe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a7bbe6a47b8064303725f0d1c93df7c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2a7bbe6a47b8064303725f0d1c93df7c"></a>
typedef LIST_TYPE::iterator&#160;</td><td class="memItemRight" valign="bottom"><b>VERTEX_ITERATOR</b></td></tr>
<tr class="separator:a2a7bbe6a47b8064303725f0d1c93df7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11ae2ef6ab2002c042b390209a17c780"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a11ae2ef6ab2002c042b390209a17c780"></a>
typedef FAST_LIST_TYPE::iterator&#160;</td><td class="memItemRight" valign="bottom"><b>FAST_VERTEX_ITERATOR</b></td></tr>
<tr class="separator:a11ae2ef6ab2002c042b390209a17c780"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>src/standard/modules/data_structures/base/<a class="el" href="graph__traits_8hpp_source.html">graph_traits.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 26 2014 15:59:02 for TIPregelGraphLibrary by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
